"""Exotic module demonstrating advanced Python features and docstring styles.

This module showcases various Python features including:
    - Type hints with Protocol and TypeVar
    - Async functions and context managers
    - Descriptors and metaclasses
    - Mixed docstring styles (Google, ReST, and Numpydoc)
"""

from . import advanced_types, descriptors, protocols

__all__ = ["advanced_types", "protocols", "descriptors"]
